{
  "name": "embeddingsgooglevertex",
  "display_name": "Embeddings Google Vertex",
  "description": "Use Google Vertex Embeddings",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "googleApi",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "notice",
      "display_name": "Each model is using different dimensional density for embeddings. Please make sure to use the same dimensionality for your vector store. The default model is using 768-dimensional embeddings. You can find available models <a href=",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "projectId",
      "display_name": "Project ID",
      "kind": "resourceLocator",
      "required": true,
      "description": "Select or enter your Google Cloud project ID"
    },
    {
      "name": "modelName",
      "display_name": "Model Name",
      "kind": "string",
      "required": false,
      "default": "text-embedding-005",
      "description": "The model which will generate the embeddings. <a href="
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/@n8n/nodes-langchain/nodes/embeddings/EmbeddingsGoogleVertex/EmbeddingsGoogleVertex.node.ts",
  "routing": {
    "base_url": "={{ $credentials.host }}",
    "auth_headers": [
      [
        "Content-Type",
        "application/x-www-form-urlencoded"
      ]
    ],
    "auth_query": [],
    "credential_name": "googleApi",
    "operations": [],
    "sends": []
  }
}